Devuan bug report logs - #322
nextcloud-desktop-cmd: missing dependancy to nextcloud-desktop-common ; GUI dependancies

Package: nextcloud-desktop-cmd; Reported by: Mathieu Roy <yeupou@gnu.org>; dated Tue, 7 May 2019 19:18:01 UTC; Maintainer for nextcloud-desktop-cmd is (unknown).


Message received at submit@bugs.devuan.org:


Received: (at submit) by bugs.devuan.org; 7 May 2019 19:10:03 +0000
From: Mathieu Roy <yeupou@gnu.org>
To: Devuan Bug Tracking System <submit@bugs.devuan.org>
Subject: nextcloud-desktop-cmd: missing dependancy to nextcloud-desktop-common ; GUI dependancies
Date: Tue, 07 May 2019 21:09:04 +0200

Package: nextcloud-desktop-cmd
Version: 2.5.1-2
Severity: normal

Hi,

The package does not depends on nextcloud-desktop-common but clearly requires /etc/Nextcloud/sync-exclude.lst that it provides.
The name of nextcloud-desktop-common suggest that it would make sense that any nextcloud-desktop-* clients depend on it.

On the other end, nextcloud-desktop-cmd depends on tons of of Qt5 libraries. Are we sure they are all necessary for the command line client to work, considering that people tend to look into CLI especially on machines on which they do not want to install GUI libraries at all?

Regards,



-- System Information:
Distributor ID:	Devuan
Description:	Devuan GNU/Linux beowulf/ceres
Release:	10
Codename:	n/a
Architecture: x86_64

Kernel: Linux 4.19.0-4-amd64 (SMP w/6 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8), LANGUAGE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)
LSM: AppArmor: enabled

Versions of packages nextcloud-desktop-cmd depends on:
ii  libc6                   2.28-8
ii  libgcc1                 1:8.3.0-6
ii  libnextcloudsync0       2.5.1-2
ii  libqt5concurrent5       5.11.3+dfsg1-1
ii  libqt5core5a            5.11.3+dfsg1-1
ii  libqt5gui5              5.11.3+dfsg1-1
ii  libqt5keychain1         0.9.1-2
ii  libqt5network5          5.11.3+dfsg1-1
ii  libqt5sql5-sqlite       5.11.3+dfsg1-1
ii  libqt5widgets5          5.11.3+dfsg1-1
ii  libsqlite3-0            3.27.2-2
ii  libssl1.1               1.1.1b-2
ii  libstdc++6              8.3.0-6
ii  nextcloud-desktop-l10n  2.5.1-2
ii  zlib1g                  1:1.2.11.dfsg-1

nextcloud-desktop-cmd recommends no packages.

nextcloud-desktop-cmd suggests no packages.

-- no debconf information


Acknowledgement sent to Mathieu Roy <yeupou@gnu.org>:
New bug report received and forwarded. Copy sent to owner@bugs.devuan.org. Full text available.


Report forwarded to devuan-bugs@lists.dyne.org, owner@bugs.devuan.org:
bug#322; Package nextcloud-desktop-cmd. Full text available.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Fri, 15 Nov 2019 23:39:01 UTC